test_initialization.c File Reference
`#include "config.h"`
`#include "../db_configuration.h"`
`#include "../db_connection.h"`
`#include "CUnit/Basic.h"`

Go to the source code of this file.

## Functions

int | init_suite_initialization (void)
int | clean_suite_initialization (void)
void | test_initialization_configuration (void)
void | test_initialization_connection (void)

## Function Documentation

## clean_suite_initialization()

int clean_suite_initialization | ( | void |  | ) |

Definition at line 54 of file test_initialization.c.

References db_configuration_free(), db_configuration_list_free(), and db_connection_free().

Referenced by main().

## init_suite_initialization()

int init_suite_initialization | ( | void |  | ) |

Definition at line 41 of file test_initialization.c.

Referenced by main().

## test_initialization_configuration()

void test_initialization_configuration | ( | void |  | ) |

Definition at line 64 of file test_initialization.c.

References db_configuration_list_add(), db_configuration_list_new(), db_configuration_new(), db_configuration_set_name(), and db_configuration_set_value().

Referenced by main().

## test_initialization_connection()

void test_initialization_connection | ( | void |  | ) |

Definition at line 120 of file test_initialization.c.

References db_connection_connect(), db_connection_new(), db_connection_set_configuration_list(), and db_connection_setup().

Referenced by main().